# class Tk::Iwidgets::Mainwindow

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

child_site() click to toggle source

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 37
    def child_site
      window(tk_call(@path, 'childsite'))
    end

menubar(*args) click to toggle source

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 41
    def menubar(*args)
      unless args.empty?
        tk_call(@path, 'menubar', *args)
      end
      window(tk_call(@path, 'menubar'))
    end

mousebar(*args) click to toggle source

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 48
    def mousebar(*args)
      unless args.empty?
        tk_call(@path, 'mousebar', *args)
      end
      window(tk_call(@path, 'mousebar'))
    end

msgd(*args) click to toggle source

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 55
    def msgd(*args)
      unless args.empty?
        tk_call(@path, 'msgd', *args)
      end
      window(tk_call(@path, 'msgd'))
    end

toolbar(*args) click to toggle source

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 62
    def toolbar(*args)
      unless args.empty?
        tk_call(@path, 'toolbar', *args)
      end
      window(tk_call(@path, 'toolbar'))
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 22
    def __boolval_optkeys
      super() << 'helpline' << 'statusline'
    end

__font_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 32
    def __font_optkeys
      super() << 'menubarfont' << 'toolbarfont'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Itk::Toplevel#__strval_optkeys

    # File lib/tkextlib/iwidgets/mainwindow.rb, line 27
    def __strval_optkeys
      super() << 'menubarbackground' << 'menubarforeground' << 'toolbarforeground'
    end